@import "sections/reset";
@import 'variables/variables.scss';
@import 'mixins/mixin';
@import 'sections/header';
@import 'fonts';
// @import 'sections/sectionPeople';
@import 'sections/revolutionary-section';
@import 'sections/sectionPeople';
// @import 'sections/revolutionary-section';

@import 'sections/base';


 @import 'sections/footer';

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 10px;
  min-width: var(--min-content);
  max-width: var(--max-content);
  margin: 0 auto;
}

body {
  font-family: 'Montserrat', 'Lato', sans-serif;
  background: var(--base-background);
  font-size: var(--base-font-size);
  line-height: var(--base-line-height);
  color: var(--main-color-text);
}
a {
  text-decoration: none;
}

.button,
input,
optgroup,
select,
textarea {
  line-height: var(--base-line-height);
}

.wrapper {
  @include flex-center();
  flex-direction: column;
}

.container {

  width: 100%;
  padding: 0 var(--container-padding);
  margin: 0 auto;
}


.revolution-editor,
.main,
.people-about,
.fork-price {
  width: 100%;
  @include flex-center();
}

.visible-sm {
  display: inline-block;
}

.visible-md {
  display: none;
}

.visible-lg {
  display: none;
}

.list-reset {
  list-style: none;
  margin-block-start: 0;
  margin-block-end: 0;
  margin-inline-start: 0;
  margin-inline-end: 0;
  padding-inline-start: 0;
}

.btn {
  font-family: Montserrat;
  font-size: 1.6rem;
  font-weight: bold;
  color: var(--main-white-text);
  text-align: center;
  padding: 0.8rem 2rem;
  border-radius: 2.8rem;
  transition: all 0.3s ease;
  cursor: pointer;

  &.text--capitalize {
    text-transform: capitalize;
  }
  &.bg--second-color {
    border: 1px solid var(--second-color-text);
    background: var(--second-color-text);
  }

  &.text--uppercase {
    text-transform: uppercase;
  }
  &.bg--grey-color {
    font-weight: normal;
    padding: 1.3rem 3.6rem 1rem;
    border: 1px solid transparent;
    background: rgba(255, 255, 255, 0.15);
  }

  &.bg--second-color:hover {
    color: var(--second-color-text);
    background: var(--main-white-text);
  }
  &.bg--grey-color:hover {
    background: rgba(255, 255, 255, 0.2);
    border: 1px solid rgba(255, 255, 255, 0.35);
  }
}

// md size
@media screen and (min-width: $md-min-content) and (max-width: $md-max-content) {
  .visible-sm {
    display: none;
  }
  .visible-md {
    display: inline-block;
  }
}

// lg size
@media screen and (min-width: $lg-min-content) {
  .visible-lg {
    display: inline-block;
  }
}
